routes/web.php
<?php


use Illuminate\Support\Facades\Route;

Route::group(['namespace' => 'Web', 'as' => 'web.'], function() {
    
    /**pagina inicial do site */
    Route::get('/' ,'WebController@home')->name('home');
    /** pagina destaque */
        Route::get('/destaque', 'WebController@spotlight')->name('spotlight');

     /**pagina logação do site */
     Route::get('/quero-alugar' ,'WebController@rent')->name('rent');

      /**pagina comprar do site */
    Route::get('/quero-comprar' ,'WebController@buy')->name('buy');

        /**pagina comprar um imovel  do site */
        Route::get('/quero-comprar/{slug}' ,'WebController@buyProperty')->name('buyProperty');

         /**pagina alugar um imoveil do site */
         Route::get('/quero-alugar/{slug}' ,'WebController@rentProperty')->name('rentProperty');

     /**pagina filtro do site */
     Route::match(['post', 'get'],'/filtro' ,'WebController@filter')->name('filter');

     /**paginas de experiencias */
     Route::get('/experiencias','WebController@expirence')->name('expirence');

    /**paginas de experiencias - especifica de uma categoria */
     Route::get('/experiencias/{slug}','WebController@expirenceCategory')->name('expirenceCategory');


     /**pagina contato do site */
    Route::get('/contato' ,'WebController@contact')->name('contact');
    Route::post('/contato/sendEmail' ,'WebController@sendEmail')->name('sendEmail');
    Route::get('/contato/sucesso' ,'WebController@sendEmailSuccess')->name('sendEmailSuccess');



});

Route::group(['prefix'=>'component','namespace'=>'Web', 'as' => 'component.'], function(){
        Route::post('main-filter/search', 'FilterController@search')->name('main-filter.search');
        Route::post('main-filter/category','FilterController@category')->name('main-filter.category');
        Route::post('main-filter/type','FilterController@type')->name('main-filter.type');
        Route::post('main-filter/neighborhood','FilterController@neighborhood')->name('main-filter.neighborhood');
        Route::post('main-filter/bedrooms','FilterController@bedrooms')->name('main-filter.bedrooms');
        Route::post('main-filter/suites','FilterController@suites')->name('main-filter.suites');
        Route::post('main-filter/bathrooms','FilterController@bathrooms')->name('main-filter.bathrooms');
        Route::post('main-filter/garage','FilterController@garage')->name('main-filter.garage');
        Route::post('main-filter/price-base','FilterController@priceBase')->name('main-filter.priceBase');
        Route::post('main-filter/price-limit','FilterController@priceLimit')->name('main-filter.priceLimit');



});


Route::group(['prefix' => 'admin', 'namespace' => 'Admin', 'as' => 'admin.'], function () {

    /** formulário de login */
    Route::get('/', 'AuthController@showLoginForm')->name('login');
    Route::post('login', 'AuthController@login')->name('login.do');

    /** rotas protegidas */
    Route::group(['middleware' => ['auth']], function () {
        /**dashboard home*/
        Route::get('home', 'AuthController@home')->name('home');
        Route::get('users/team', 'UserController@team')->name('users.team');

        /**users */
        Route::resource('users', 'UserController');

        /**empresas*/
        Route::resource('companies', 'CompanyController');

        /**imoves*/
        Route::post('properties/image-set-cover', 'PropertyController@imageSetCover')->name('properties.imageSetCover');
        Route::delete('properties/image-remove', 'PropertyController@imageRemove')->name('properties.imageRemove');
        Route::resource('properties',   'PropertyController');

        /**Contratos */
        Route::post('contracts/get-data-owner','ContractController@getDataOwner')->name('contracts.getDataOwner');
        Route::post('contracts/get-data-acquirer','ContractController@getDataAcquirer')->name('contracts.getDataAcquirer');
        Route::post('contracts/get-data-property','ContractController@getDataProperty')->name('contracts.getDataProperty');

        Route::resource('contracts', 'ContractController');

    });

    /** Logout*/
    Route::get('logout', 'AuthController@logout')->name('logout');
});

resources/views/web/contact.blade.php
@extends('web.master.master')

@section('content')

    <div class="main_contact py-5 bg-light text-center">
        <div class="container">
            <h1 class="text-front">Entre em Contato Conosco</h1>
            <p class="mb-0">Quer conversar com um corretor exclusivo e ter o atendimento diferenciado em busca do
                seu imóvel
                dos sonhos?</p>
            <p>Preencha o formulário abaixo e vamos lhe direcionar para alguém que entende a sua necessidade!</p>

            <div class="row text-left">
                <form action="{{route('web.sendEmail')}}" method="post">
                    @csrf
                    <h2 class="icon-envelope text-black-50">Envie um e-mail</h2>
                    <div class="form-group">
                        <input type="text" class="form-control"  name="name" placeholder="Insira seu nome">
                    </div>

                    <div class="form-group">
                        <input type="email" class="form-control" name="email" placeholder="Insira seu melhor e-mail">
                    </div>
                    <div class="form-group">
                        <input type="tel" class="form-control" name="cell" placeholder="Informe o telefone de contato ">
                    </div>

                    <div class="form-group">
                        <textarea name="message" rows="5" class="form-control"
                            placeholder="Escreva sua mensagem..."></textarea>
                    </div>

                    <div class="form-group text-right">
                        <button class="btn btn-front">Enviar Contato</button>
                    </div>
                </form>
            </div>
        </div>
    </div>

    <div class="main_contact_types bg-white p-5">
        <div class="container">
            <div class="row text-center">
                <div class="col-12 col-md-4">
                    <h2 class="icon-envelope">Por E-mail</h2>
                    <p>Nossos atendentes irão entrar em contato com você assim que possível.</p>
                    <p class="pt-2"><a href="mailto:contato@laradev.com.br"
                            class="text-front">contato@laradev.com.br</a></p>
                </div>

                <div class="col-12 col-md-4">
                    <h2 class="icon-phone">Por Telefone</h2>
                    <p>Estamos disponíveis nos números abaixo no horário comercial.</p>
                    <p class="pt-2 text-front">+55 (48) 3322-1234</p>
                </div>

                <div class="col-12 col-md-4">
                    <h2 class="icon-share-alt">Redes Sociais</h2>
                    <p>Fique por dentro do tudo o que a gente compartilha em nossas redes sociais!</p>
                    <p><button class="btn btn-front icon-facebook icon-notext"></button> <button
                            class="btn btn-front icon-twitter icon-notext"></button> <button
                            class="btn btn-front icon-instagram icon-notext"></button></p>
                </div>
            </div>
        </div>
    </div>

@endsection

resources/views/web/contact_success.blade.php
@extends('web.master.master')

@section('content')

<div class="container p-5"> 

    <h2 class="  text-center text-front bg-white">Seu email foi enviado com sucesso! Em breve retonaremos</h2>
    <p class="text-center">   <a href="{{url()->previous()}}">Continuar navegando</a></p>
    
</div>


@endsection

resources/views/web/filter.blade.php
@extends('web.master.master')


@section('content')
    <div class="main_filter bg-light py-5">
        <div class="container">
            <section class="row">
                <div class="col-12">
                    <h2 class="text-front icon-filter mb-5">Filtro</h2>
                </div>

                <div class="col-12 col-md-4">
                    <form action=" {{ route('web.filter') }}" method="post" class="w-100 p-3 bg-white mb-5">
                        @csrf
                        <div class="row">
                            <div class="form-group col-12">
                                <label for="search" class="mb-2 text-front">Comprar ou Alugar?</label>
                                <select class="selectpicker" id="search" name="filter_search" title="Escolha..."
                                    data-index="1" data-action="{{ route('component.main-filter.search') }}">
                                    <option value="buy">Comprar</option>
                                    <option value="rent">Alugar</option>
                                </select>
                            </div>

                            <div class="form-group col-12">
                                <label for="category" class="mb-2 text-front">O que você quer?</label>
                                <select class="selectpicker" id="category" name="filter_category" title="Escolha..."
                                    data-index="2" data-action="{{ route('component.main-filter.category') }}">
                                    <option disabled>Selecione o Filtro anterior</option>
                                </select>
                            </div>

                            <div class="form-group col-12">
                                <label for="type" class="mb-2 text-front">Qual o tipo do imóvel?</label>
                                <select class="selectpicker input-large" id="type" name="filter_type" title="Escolha..."
                                    multiple data-actions-box="true" data-index="3"
                                    data-action="{{ route('component.main-filter.type') }}">
                                    <option disabled>Selecione o Filtro anterior</option>
                                </select>
                            </div>

                            <div class="form-group col-12">
                                <label for="search_locale" class="mb-2 text-front">Onde você quer?</label>
                                <select class="selectpicker" name="filter_neighborhood" id="bedrooms" title="Escolha..."
                                    multiple data-actions-box="true" data-index="4"
                                    data-action="{{ route('component.main-filter.neighborhood') }}">
                                    <option disabled>Selecione o Filtro anterior</option>
                                </select>
                            </div>

                            <div class="form-group col-12">
                                <label for="bedrooms" class="mb-2 text-front">Quartos</label>
                                <select class="selectpicker" name="filter_bedrooms" id="bedrooms" title="Escolha..."
                                    data-index="5" data-action="{{ route('component.main-filter.bedrooms') }}">
                                    <option disabled>Selecione o Filtro anterior</option>

                                </select>
                            </div>

                            <div class="form-group col-12">
                                <label for="bedrooms" class="mb-2 text-front">Suítes</label>
                                <select class="selectpicker" name="filter_suites" id="bedrooms" title="Escolha..."
                                    data-index="6" data-action="{{ route('component.main-filter.suites') }}">
                                    <option disabled>Selecione o Filtro anterior</option>

                                </select>
                            </div>

                            <div class="form-group col-12">
                                <label for="bedrooms" class="mb-2 text-front">Banheiros</label>
                                <select class="selectpicker" name="filter_bathrooms" id="bedrooms" title="Escolha..."
                                    data-index="7" data-action="{{ route('component.main-filter.bathrooms') }}">
                                    <option disabled>Selecione o Filtro anterior</option>

                                </select>
                            </div>

                            <div class="form-group col-12">
                                <label for="bedrooms" class="mb-2 text-front">Garagem</label>
                                <select class="selectpicker" name="filter_garage" id="bedrooms" title="Escolha..."
                                    data-index="8" data-action="{{ route('component.main-filter.garage') }}">
                                    <option disabled>Selecione o Filtro anterior</option>

                                </select>
                            </div>

                            <div class="form-group col-12">
                                <label for="bedrooms" class="mb-2 text-front">Preço Base</label>
                                <select class="selectpicker" name="filter_base" id="bedrooms" title="Escolha..."
                                    data-index="9" data-action="{{ route('component.main-filter.priceBase') }}">
                                    <option disabled>Selecione o Filtro anterior</option>

                                </select>
                            </div>

                            <div class="form-group col-12">
                                <label for="bedrooms" class="mb-2 text-front">Preço Limite</label>
                                <select class="selectpicker" name="filter_limit" id="bedrooms" title="Escolha..."
                                    data-index="10" data-action="{{ route('component.main-filter.priceLimit') }}">
                                    <option disabled>Selecione o Filtro anterior</option>

                                </select>
                            </div>

                            <div class="col-12 text-right mt-3 button_search">
                                <button class="btn btn-front icon-search">Pesquisar</button>
                            </div>
                        </div>
                    </form>
                </div>

                <div class="col-12 col-md-8">

                    <section class="row main_properties">
                        @if ($properties->count())
                            @foreach ($properties as $property)
                                <div class="col-12 col-md-12 col-lg-6 mb-4">
                                    <article class="card main_properties_item">
                                        <div class="img-responsive-16by9">
                                            <a
                                                href="{{ route((session('sale') == true || (!empty($type) && $type == 'sale') || $property->rent == false ? 'web.buyProperty' : 'web.rentProperty'), ['slug' => $property->slug]) }}">
                                                <img src="{{ $property->cover() }}" class="card-img-top" alt="">
                                            </a>
                                        </div>
                                        <div class="card-body">
                                            <h2><a href="{{ route((session('sale') == true || (!empty($type) && $type == 'sale') || $property->rent == false ? 'web.buyProperty' : 'web.rentProperty'), ['slug' => $property->slug]) }}"
                                                    class="text-front">{{ $property->title }}</a>
                                            </h2>
                                            <p class="main_properties_item_category">{{ $property->category }}</p>
                                            <p class="main_properties_item_type">{{ $property->type }} -
                                                {{ $property->neighborhood }} <i
                                                    class="icon-location-arrow icon-notext"></i></p>
                                            @if (!empty($type) && $type == 'sale')
                                                <p class="main_properties_price text-front">R$
                                                    {{ $property->sale_price }}</p>
                                                @elseif(!empty($type) && $type =='rent')
                                                    <p class="main_properties_price text-front">R$
                                                        {{ $property->rent_price }} /mês
                                                    </p>
                                                @else
                                                @if ($property->sale == true && !empty($property->sale_price) && $property->rent == true && !empty($property->rent_price))
                                                    <p class="main_properties_price text-front">R$
                                                        {{ $property->sale_price }} <br> ou
                                                        {{ $property->rent_price }} /mês </p>
                                                @elseif ($property->sale == true && !empty($property->sale_price))
                                                    <p class="main_properties_price text-front">R$
                                                        {{ $property->sale_price }}</p>
                                                @elseif ($property->rent == true && !empty($property->rent_price))
                                                    <p class="main_properties_price text-front">R$
                                                        {{ $property->rent_price }} / mês</p>
                                                @else
                                                    <p class="main_properties_price text-front"> Entre em contato com a
                                                        nossa equipe comercial!</p>
                                                @endif
                                            @endif

                                            <a href="{{ route((session('sale') == true || (!empty($type) && $type == 'sale') || $property->rent == false ? 'web.buyProperty' : 'web.rentProperty'), ['slug' => $property->slug]) }}"
                                                class="btn btn-front btn-block">Ver Imóvel</a>
                                        </div>
                                        <div class="card-footer d-flex">
                                            <div class="main_properties_features col-4 text-center">
                                                <img src="{{asset('frontend/assets/images/icons/bed.png')}}" class="img-fluid"
                                                    alt="">
                                                <p class="text-muted">{{ $property->bathrooms }}</p>
                                            </div>
                                            <div class="main_properties_features col-4 text-center">
                                                <img src="{{asset('frontend/assets/images/icons/garage.png')}}" class="img-fluid"
                                                    alt="">
                                                <p class="text-muted">
                                                    {{ $property->garage + $property->garage_covered }}</p>
                                            </div>
                                            <div class="main_properties_features col-4 text-center">
                                                <img src="{{asset('frontend/assets/images/icons/util-area.png')}}" class="img-fluid"
                                                    alt="">
                                                <p class="text-muted">{{ $property->area_util }}&sup2;</p>
                                            </div>
                                        </div>
                                    </article>
                                </div>
                            @endforeach
                            @else
                            <div class="col-12 p-5 bg-white">
                                    <h2 class="text-front icon-info text-center">Nenhum registro encontrado!</h2>
                                    <p class="text-center">Utilize o filtro alvançado para encontar o imovel adequado</p>
                            </div>
                        @endif
                    </section>
                </div>
            </section>
        </div>
    </div>
@endsection

resources/views/web/spotlight.blade.php
@extends('web.master.master')

@section('content')

<h2 class="text-center p-5 text-front bg-white">Seja bem vindo ao nosso <b>empreendimento</b> de destaque!</h2>
@endsection